Invincible Pay
Transactions

Search transactions

Search and filter your transactions.

GET
/v1/transactions

Query Parameters

timestampFrom?|

Unix timestamp in milliseconds. Inclusive. Meaning, if you give a value of 1772486926865, a transaction that might have occured at that exact instance will be included in the result.

Formatint64
timestampUntil?|

Unix timestamp in milliseconds. Inclusive. Meaning, if you give a value of 1772486926865, a transaction that might have occured at that exact instance will be included in the result.

Formatint64
amountFrom?|

Minimum amount of the transaction, in CAD, major units. This value is inclusive so if 100.00 is provided, transactions with a value of 100.00 CAD will be included as well.

Formatdouble
amountUntil?|

Maximum amount of the transaction, in CAD, major units. This value is inclusive so if 100.00 is provided, transactions with a value of 100.00 CAD will be included as well.

Formatdouble
sort?|

Transactions are always ordered by their date, but you can modify the direction (ascending / descending).

beneficiaryId?|

If present, only returns transactions that were sent to this beneficiary. All other filters still apply.

category?|

Specify transaction category (EFT, eTransfer, internal).

pageSize?|

Transactions per page. Must be between 1 and 100 (inclusive). Default value: 20

Formatint64
Range0 <= value
page?|

Use for pagination. 0 based index. Page 0 = first page, Page 1 = second page, etc.

Formatint64
Range0 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.invinciblepay.com/v1/transactions"
{
  "page": 0,
  "pageSize": 0,
  "totalCount": 0,
  "totalPages": 0,
  "transactions": [
    {
      "amount": 0.1,
      "beneficiaryId": "string",
      "brandId": "string",
      "category": "etransfer",
      "createdAt": 0,
      "currency": "string",
      "description": "string",
      "externalId": "string",
      "fundingSourceId": "string",
      "id": "string",
      "interacReferenceNumber": "string",
      "lastModifiedAt": 0,
      "ownerAccountId": "string",
      "ownerUserId": "string",
      "peerAccountNumber": "string",
      "peerBankNumber": "string",
      "peerEtransferEmail": "string",
      "peerFullName": "string",
      "peerFundingSourceId": "string",
      "peerTransitNumber": "string",
      "principalTransactionId": "string",
      "purposeCode": "string",
      "rejectionReason": "string",
      "status": "pending",
      "tenantId": "string",
      "type": "inComing"
    }
  ]
}
{
  "error": "string",
  "error_code": {}
}
{
  "error": "string",
  "error_code": {}
}
{
  "error": "string",
  "error_code": {}
}
{
  "error": "string",
  "error_code": {}
}